[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCheckBox.Destroy

Destructor for the class instance.

## Declaration

Source position: dbctrls.pp line 681

`public destructor TDBCheckBox.Destroy; override;`

## Description

Destroy is the destructor for TDBCheckBox. It frees the internal field data link, and calls the inherited Destroy method prior to exit.

## See also

TFieldDataLink |  | Maintains an association between a control, an action, and a field in a linked dataset.
TWinControl.Destroy |  | Destructor for the class instance.